Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Shared_Memory Class Reference

This base class adapts both System V shared memory and "BSD" mmap to a common API. More...

`#include <Shared_Memory.h>`

Inheritance diagram for ACE_Shared_Memory:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Shared_Memory (void)
virtual int | close (void)=0
virtual int | remove (void)=0
virtual void * | malloc (size_t=0)=0
virtual int | free (void *p)=0
virtual int | get_segment_size (void) const=0
virtual ACE_HANDLE | get_id (void) const=0

## Detailed Description

This base class adapts both System V shared memory and "BSD" mmap to a common API.

This is a very simple-minded wrapper, i.e., it really is only useful for allocating large contiguous chunks of shared memory. For a much more sophisticated version, please check out the <ACE_Malloc> class.

## Constructor & Destructor Documentation

ACE_Shared_Memory::~ACE_Shared_Memory | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int ACE_Shared_Memory::close | ( | void |  | ) | `[pure virtual]`

| Implemented in ACE_Shared_Memory_MM, and ACE_Shared_Memory_SV.

virtual int ACE_Shared_Memory::free | ( | void * | p | ) | `[pure virtual]`

| Implemented in ACE_Shared_Memory_MM, and ACE_Shared_Memory_SV.

virtual ACE_HANDLE ACE_Shared_Memory::get_id | ( | void |  | ) | const`[pure virtual]`

| Implemented in ACE_Shared_Memory_MM, and ACE_Shared_Memory_SV.

virtual int ACE_Shared_Memory::get_segment_size | ( | void |  | ) | const`[pure virtual]`

| Implemented in ACE_Shared_Memory_MM, and ACE_Shared_Memory_SV.

virtual void* ACE_Shared_Memory::malloc | ( | size_t | = 0 | ) | `[pure virtual]`

| Implemented in ACE_Shared_Memory_MM, and ACE_Shared_Memory_SV.

virtual int ACE_Shared_Memory::remove | ( | void |  | ) | `[pure virtual]`

| Implemented in ACE_Shared_Memory_MM, and ACE_Shared_Memory_SV.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Shared_Memory.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Shared_Memory.cpp